Avnology ID
API ReferenceOrganizations

Verify Domain

Verify ownership of a domain for an organization via DNS TXT record.

Endpoint

POST /v1/organizations/{id}/domains:verify

Base URL: https://api-id.avnology.net

Authentication: API Key or OAuth token with admin:orgs:write scope

Request

Example Request

curl -X

Response

Success

Returns the appropriate response for the operation.

Errors

StatusCodeDescription
404AVNOLOGY_AUTH_300Organization not found
403AVNOLOGY_AUTH_100Insufficient permissions
409AVNOLOGY_AUTH_301Member already exists (for add)

Code Examples

JavaScript (fetch)

// See the API overview for request patterns
const response = await fetch('https://api-id.avnology.net/v1/organizations/{id}/domains:verify', {
  method: 'POST',
  headers: { 'Authorization': `Bearer ${apiKey}`, 'Content-Type': 'application/json' },
});

Python (httpx)

import httpx

response = httpx.request("POST", "https://api-id.avnology.net/v1/organizations/{id}/domains:verify",
    headers={"Authorization": f"Bearer {api_key}

Go (net/http)

req, _ := http.NewRequestWithContext(ctx, "POST", "https://api-id.avnology.net/v1/organizations/{id}/domains:verify", nil)
req.Header.Set("Authorization", "Bearer "+apiKey)
resp, err